{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 2,
   "id": "a4e3159d",
   "metadata": {},
   "outputs": [],
   "source": [
    "import sys\n",
    "import os\n",
    "\n",
    "# Añadir la carpeta padre al sys.path\n",
    "parent_dir = os.path.abspath(os.path.join(os.getcwd(), \"..\"))\n",
    "if parent_dir not in sys.path:\n",
    "    sys.path.insert(0, parent_dir)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "id": "f2fe8bab",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "MARIA MAR CABRERA OCAMPO\n",
      "JOAQUINA RAMIREZ BAGLIETTO\n",
      "PILAR LLORCA ESTEBAN\n",
      "CELSA RAMOS ESTEVEZ\n",
      "JOAQUIN VICENTE GARCIA ALVAREZ\n",
      "RAQUEL GARAU RODRIGUEZ\n",
      "FRANCISCO BORJA TERUEL ALBIÑANA\n",
      "URBANA SERRANO LOPEZ\n",
      "TERESA FERNANDEZ CALERO\n",
      "GABRIEL SANCHEZ LEON\n",
      "DELMIRA CHEN JIMENEZ\n",
      "LUIS RAMON PALOMARES MAINZ\n",
      "SANTIAGO ANDRES GUTIERREZ MATARIN\n",
      "JONATHAN TORRES CASADO\n",
      "AHMED CATALAN MUÑOZ\n",
      "FRANCISCA BUSTAMANTE ROMERO\n",
      "BARBARA SOFIA SANTIAGO ALCARAZ\n",
      "NEREA LIN COSTA\n",
      "ANTONIA DE MIGUEL LOPEZ\n",
      "MARIA AMPARO RIPOLLES BAÑON\n"
     ]
    }
   ],
   "source": [
    "from utils.Generar_nombres import GeneradorNombre_Spanish\n",
    "\n",
    "if __name__ == \"__main__\":\n",
    "    generador = GeneradorNombre_Spanish()\n",
    "\n",
    "    for _ in range(20):\n",
    "        print(generador.generar_nombre_completo(sexo= None, edad_aprox=None))  # Puedes dejar sexo=None para aleatorio\n"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": ".venv",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.11.11"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
